Mobile Device Info

Older phones and tablets may not operate correctly in our store.  The following chart is the minimum hardware and software requirements for mobile devices.

iPhone iPhone 5 or better running iOS 10 or higher
iPad Generation 4 or better running iOS 10 or higher
iPad mini Generation 2 or higher running iOS 10 or higher
Android Android device running version 5.0 (Lollipop) or higher
If your mobile device is not able to update to the minimum required software, you can always use a laptop or desktop computer.
Back to the top